<?php global $CONF, $NAMESERVERS;
// --------------------------------------------
// | The EP-Dev Whois script        
// |                                           
// | Copyright (c) 2002-2004 Patrick Brown as EP-Dev.com           
// | This program is free software; you can redistribute it and/or modify
// | it under the terms of the GNU General Public License as published by
// | the Free Software Foundation; either version 2 of the License, or
// | (at your option) any later version.              
// | 
// | This program is distributed in the hope that it will be useful,
// | but WITHOUT ANY WARRANTY; without even the implied warranty of
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// | GNU General Public License for more details.
// --------------------------------------------

/* -----------------------------------------------------------------
	TO CHECK FOR NEW UPDATES, visit your script via whois.php?page=version
	----------------------------------------------------------------*/

/* Timeout of the script when accessing whois database */
$CONF['timeout'] = 30;


/*
	Buymode affects the entire script. Setting buymode = true
	will result in the script assuming that it will eventually pass
	the domain to a script that will handle the purchase of an
	available domain as well as give alternative TLDs to domains
	that are not available. If buymode = false , then the script will
	act as a normal whois script... displaying the whois information on 
	every request, as opposed to just saying if the domain is available
	or not.
*/
$CONF['buymode'] = true;


/*
	(Only applies in Buy Mode.)
	TLD Search allows you to search for other domains under
	tlds you specify if the domain the user requested is taken. You must
	remember, the more tlds you have here, the longer it takes the script
	to load. If you don't want any recommendations, set this to array();
	This only applies if the script is in "buymode".
*/
$CONF['tld_search'] = array(".com", ".net", ".org");


/*
	(Only applies in Buy Mode.)
	Server query limit bypass. Many servers will restrict the number of
	whois database lookups that a website can complete in one day. By
	setting the value below to = true , the script will only query the 
	whois server to see if the domain is available, unless the person wants
	to see the whois report (ie clicks on whois report link).
	It is recommended that you set this value to true.
*/
$CONF['query_limit_bypass'] = true;


/*
	(Only applies in Buy Mode.)
	The external script variable allows you to set an external script
	that the user can be taken to if the domain is available. The variables
	passed into the script are 'domain', which has the full domain and ext,
	as well as 'ext', which has the domain extension (including the first '.')
	This setting is most useful for sites that plan on using this script as a
	whois search prior to allowing the user to register the domain.
*/
$CONF['external_script_url'] = "external-script-example.php";


/*
	(Only applies in Buy Mode.)
	External script domain setup.
		The values below specify what you want as the format of the variables that
		will contain the domain name and extension.

		EXAMPLES of Acceptable formats for mydomain.com:
		[DOMAIN] = mydomain
		[EXT] = com
		[DOMAIN].[EXT] = mydomain.com
		.[EXT] = .com

		This enables you to pass in the domain to your script in a variety of formats.
		** IF YOU WANT TO EDIT THE ACTUAL VARIABLE NAMES (i.e. change the ext and domain vars)
			THEN YOU CAN EDIT templates/template.php .
*/
$CONF['external_domain_format'] = "[DOMAIN]";
$CONF['external_ext_format'] = "[EXT]";


/*
	Whois logs - keeps monthly logs of whois lookups. Set to = true; to enable, = false; to disable.
*/
$CONF['whois_logs'] = true;


/* Display copyright (would be nice, but you don't have to) */
$CONF['copyright_info'] = true;


/*
	Set price_table to = true or false to display or hide the price table. You
	can modify the prices of domains below.
*/
$CONF['price_table'] = true;


/* Price table Configuration */

/*
	Your Currency - Acceptable values here: "us", "uk", "eu", "custom:s:d:ds:ts".
	EX: Setting it to = "us" will output 10 as $10.00
		Setting it to = "uk" will output 10 as 10.00
		Setting it to = "eu" will output 10 as 10,00
		Using the custom is as follows: "custom:sign:decimals:decimal sign:thousands sign".
		Thus, if we decided to custom set UK currency (this is just example, please use "uk")
			then it would look like "custom::2:.:," as a custom setting. This allows for one
			to setup the whois script to use any currency.
*/
$CONF['currency'] = "us";


/* How many rows to display per column*/
$CONF['rows_limit'] = 3;


/* Default cost of domains not listed in the array below. */
$CONF['default_cost'] = 8.25;


/*
	The profit you want to make on each domain (will be added
	to the cost below). Remember, if you need more specific profit margins then just set the
	below value to 0, and enter in the profit as part of the domain cost in the domains_cost array.
*/
$CONF['domains_profit'] = 1.00;


/* The cost of specific domains. */
$CONF['domains_cost'] = array(
						".tv" => 45.00,
						".ws" => 27.00,
						".nu" => 27.00,
						".bz" => 27.00,
						".cc" => 27.00,
						".ca" => 16.00,
						".co.uk" => 7.25,
						".org.uk" => 7.25,
						".name" => 8.25,
						".com.cn" => 27.00,
						".net.cn" => 27.00,
						".org.cn" => 27.00,
						".tm" => 105.00,
						".cn" => 27.00
						);


/*
	Domains you want to exclude from the price table, but still have prices for.
*/
$CONF['price_table_exclude'] = array(
						".tm",
						".kids.us",
						);


/* Servers to check for avail. */
$NAMESERVERS['servers'] = array(
						"whois.crsnic.net" => ".com, .net, .edu",
						"whois.publicinterestregistry.net" => ".org",
						"whois.nic.uk" => ".org.uk, .co.uk",
						"whois.nic.us" => ".us",
						"whois.neulevel.biz" => ".biz",
						"whois.afilias.info" => ".info",
						"whois.website.ws" => ".ws",
						"whois.nic.name" => ".name",
						"whois.nic.cc" => ".cc",
						"whois.cira.ca" => ".ca",
						"whois.cnnic.cn" => ".cn, .com.cn, .net.cn, .org.cn",
						"whois.nic.tm" => ".tm",
						"whois.domain-registry.nl" => ".nl"
						);


/* Keywords for avail */
$NAMESERVERS['keywords'] = array(
						"whois.crsnic.net" => "No match",
						"whois.publicinterestregistry.net" => "NOT FOUND",
						"whois.nic.uk" => "No match",
						"whois.nic.us" => "not found",
						"whois.neulevel.biz" => "not found",
						"whois.afilias.info" => "not found",
						"whois.website.ws" => "no match",
						"whois.nic.name" => "No match",
						"whois.nic.cc" => "No match",
						"whois.cira.ca" => "AVAIL",
						"whois.cnnic.cn" => "No entries",
						"whois.nic.tm" => "No Match",
						"whois.domain-registry.nl" => "is free",
						"whois.denic.de" => "not found"
						);


/* 
	(Only applies in Buy Mode.)
	Servers with query limits.
		These servers are servers that have query limits. The server will issue an "is"
		command in buy mode to check if domain is available. By using the "is" command, we can
		bypass the limits on these servers.
*/
$NAMESERVERS['servers_with_limits'] = array(
						"whois.domain-registry.nl",
						"whois.crsnic.net"
						);

/* 
	Servers with special arguments
		These servers have special values passed in. 
		For example, the whois.denic.de server requires a "-T ace,dn "
		to be passed in before domain.
*/
$NAMESERVERS['servers_with_special'] = array(
						"whois.denic.de" => "-T ace,dn "
						);