<?php global $CONF;

// --------------------------------------------
// | The EP-Dev Whois script        
// |                                           
// | Copyright (c) 2002-2004 Patrick Brown as EP-Dev.com           
// | This program is free software; you can redistribute it and/or modify
// | it under the terms of the GNU General Public License as published by
// | the Free Software Foundation; either version 2 of the License, or
// | (at your option) any later version.              
// | 
// | This program is distributed in the hope that it will be useful,
// | but WITHOUT ANY WARRANTY; without even the implied warranty of
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// | GNU General Public License for more details.
// --------------------------------------------

// Get rid of these
ini_set("register_globals", "Off");

/* Get the template and class */
require_once("config.php");
require_once("templates/template.php");
require_once("templates/language.php");
require_once("whois-class.php");

$current_version = "1.41";

function index()
{
	global $CONF;

	show_header();

	if ($CONF['buymode'] && $CONF['price_table'])
	{
		$tld_data = Make_PriceTable();
		show_price_table($tld_data);
	}

	show_search();

	show_copyright();
	show_footer();
}

function Display_Whois($domain_info="", $domain, $ext)
{
	/*
		Display_Whois() will display whois information to the screen.
	*/
	show_header();

	if(empty($domain_info))
	{
		$domain_info = new WhoisSearch();
		$domain_info->lookup($domain, $ext);
	}

	show_whois_info($domain_info);

	show_copyright();
	show_footer();
}

function Display_NoMatch($domain_info)
{
	global $CONF;
	/*
		This function says domain is available in buy mode.
	*/
	show_header();

	// Perform formatting from config
	$domain_info->var_domain = str_replace("[DOMAIN]", $domain_info->domain, $CONF['external_domain_format']);
	$domain_info->var_domain = str_replace("[EXT]", $domain_info->domain, $domain_info->var_domain);
	$domain_info->var_ext = str_replace("[EXT]", substr($domain_info->ext, 1), $CONF['external_ext_format']);
	
	show_results_avail($domain_info);

	show_copyright();
	show_footer();
}

function Display_Match($domain_info)
{
	/*
		This function says domain is not available and searches for more domains in buy mode.
	*/
	global $CONF;

	/* Work with other TLDs */
	$i=0;
	$j=0;

	while($i < count($CONF['tld_search']))
	{
		if ($CONF['tld_search'][$i] != $domain_info->ext)
		{
			$other_tlds[$j] = new WhoisSearch();
			$other_tlds[$j]->lookup($domain_info->domain, $CONF['tld_search'][$i]);
			$j++;
		}
		$i++;
	}

	if (empty($CONF['tld_search']))
	{
		$other_tlds[0] = new WhoisSearch();
		$other_tlds[0]->avail = false;
	}

	show_header();

	show_results_notavail($domain_info, $other_tlds);

	show_search();

	show_copyright();
	show_footer();
}

function Search_Whois($domain, $ext)
{
	global $CONF;
	$domain_info = new WhoisSearch();
	$domain_info->lookup($domain, $ext);

	if ($CONF['whois_logs'])
		Write_to_Logs($domain_info->fulldomain, $_SERVER['REMOTE_ADDR']);

	if ($CONF['buymode'] && $domain_info->avail)
	{
		Display_NoMatch($domain_info);
	}
	elseif ($CONF['buymode'])
	{
		Display_Match($domain_info);
	}
	else
	{
		show_header();
		show_search();
		show_whois_info($domain_info);
		show_copyright();
		show_footer();
	}
}

function Write_to_Logs($domain, $ip)
{
	$log_handle = @fopen("logs/".date("M-Y").".txt", 'ab');
	@fwrite($log_handle, date("M-d H:i:s")." \t ".$domain." \t ".$ip."\r\n");
	@fclose($log_handle);
}

function show_copyright()
{
	global $CONF;

	if ($CONF['copyright_info'])
	{
		echo "<center><small>Generated by <a href=\"http://www.ep-dev.com\" target=\"_blank\">EP-Dev.com</a> Whois script.</small></center>";
	}
}

function version()
{
	global $current_version;
	$cur_version = $current_version;
	$file = fopen ("http://www.ep-dev.com/scripts/version.php?ep-dev-whois", "r");
	if (!$file)
	{
		$version_num = $cur_version;
	}
	else
	{
		$version_num = fgets ($file);
		fclose($file);
	}
	$return['ver'] = $version_num;
	$return['new'] = ($version_num != $cur_version ? true : false);

	if ($return['new'])
	{
		$lang_return = str_replace("[latest_version]", $return['ver'], LANG_ver_old);
		echo $lang_return;
	}
	else
	{
		$lang_return = str_replace("[current_version]", $cur_version, LANG_ver_uptodate);
		echo $lang_return;
	}
}

function Error_Handle($error_text)
{
	show_header();
	show_search();
	show_errors($error_text);
	show_footer();
	exit();
}

// I know, but the notice errors annoy me.
switch((isset($_GET['page']) ? $_GET['page'] : "index"))
{
	case "display-whois" : Display_Whois("", $_GET['domain'], $_GET['ext']);
	break;

	case "search-whois" : Search_Whois($_GET['domain'], $_GET['ext']);
	break;

	case "whois" : $CONF['buymode'] = false;
				   Search_Whois($_GET['domain'], $_GET['ext']);
	break;

	case "index" : index();
	break;

	case "version" : version();
	break;

	default : index();
	break;
}